=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+# Let's try to cut down noisy symbols to the official API
+export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden
+export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden
 
 -include /usr/share/cdbs/1/rules/upstream-tarball.mk
 -include /usr/share/cdbs/1/rules/utils.mk
@@ -29,22 +33,15 @@
 # pure garbage in upstream tarball
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += .DS_Store
 
-# sources not in prefered form of modification
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./waf
-
 # Minimum assured version referenced upstream as library API/ABI
 ABI = 0.118.0
-
-# Let's try to cut down noisy symbols to the official API
-CFLAGS += -fvisibility=hidden
-CXXFLAGS += -fvisibility=hidden
 
 waf-configure-options = --prefix=/usr --classic
 waf-configure-options += --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 waf-configure-options += $(if $(filter linux,$(DEB_HOST_ARCH_OS)),--alsa --dbus)
 waf-configure-options += $(if $(filter amd64 i386 powerpc,$(DEB_HOST_ARCH)),--firewire)
 
-DEB_MAKE_INVOKE = ./waf-light -v --destdir=$(CURDIR)/debian/tmp
+DEB_MAKE_INVOKE = $(DEB_MAKE_EXTRA_ARGS) ./waf -v --destdir=$(CURDIR)/debian/tmp
 DEB_MAKE_INSTALL_TARGET = install
 
 # TODO: use distclean and drop related clean target, when (or if)
@@ -67,15 +64,14 @@
 DEB_PHONY_RULES += $(outfiles)
 pre-build:: $(outfiles)
 $(outfiles): update-config debian/stamp-copyright-check
-	sed 's/__ABI__/$(ABI)/' <$@.in >$@
+	sed 's/__ABI__/$(ABI)/; s/$${DEB_VERSION}/${DEB_VERSION}/g' <$@.in >$@
 clean::
 	rm -f $(outfiles)
 
 common-configure-arch common-configure-indep:: common-configure-impl
 common-configure-impl:: debian/stamp-waf-configure
 debian/stamp-waf-configure:
-	chmod +x ./waf-light
-	./waf-light configure $(waf-configure-options)
+	$(DEB_MAKE_EXTRA_ARGS) ./waf configure $(waf-configure-options)
 	touch $@
 clean::
 	rm -f debian/stamp-waf-configure
