## jackd2 1.9.10+20140610git97e0e80b~dfsg

=== debian/changelog ===
jackd2 (1.9.10+20140610git97e0e80b~dfsg-1ubuntu1) utopic; urgency=medium

  * Fix debian/rules to pass dpkg-buildflags through.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Jul 2014 22:40:42 -0700

jackd2 (1.9.10+20140610git97e0e80b~dfsg-1) unstable; urgency=low

  * Imported Upstream version 1.9.10+20140610git97e0e80b~dfsg

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 10 Jun 2014 13:35:58 +0000

jackd2 (1.9.9.5+20140404git3d7c67dc~dfsg-1) unstable; urgency=low

  * Enable ffado on all Linux platforms (Closes: #727248)
  * Imported Upstream version 1.9.9.5+20140404git3d7c67dc
  * Fix startup problems on newer ARM kernels

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 04 Apr 2014 14:04:15 +0200
