=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: jackd2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>, Jonas Smedegaard <dr@jones.dk>, Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper (>= 9~),
- cdbs (>= 0.4.93~),
+Build-Depends: cdbs (>= 0.4.93~),
+ debhelper (>= 9~),
  debhelper (>= 8.1.3),
  d-shlibs,
  python (>= 2.6.6-3~),
@@ -19,7 +20,7 @@
  libffado-dev (>= 2.0.0) [linux-any],
  libopus-dev,
  po-debconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://jackaudio.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jackd2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jackd2.git
