## jackd2 1.9.10+20140719git3eb0ae6a~dfsg

=== debian/changelog ===
jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-3ubuntu1) wily; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - libjacknet strict shlibs that don't claim compatibility with anything
      but the current version of the package.
    - retain conflicts/replaces against the reverted g++5 package name.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:31:06 -0700

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-3) unstable; urgency=medium

  * Team upload.
  * debian/libjack-jackd2-0.shlibs: Add an entry for libjacknet. (Closes:
    #788973)
  * debian/control: Bump Standards-Version to 3.9.6.
  * debian/jackd2.{install,maintscript}: Move bash completion to
    /usr/share/bash-completion/completions.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Jul 2015 12:37:34 +0200

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2ubuntu4) wily; urgency=medium

  * Reintroduce libjacknet shlibs, required to fix a build failure; but make
    sure they don't claim compatibility with anything but the current version
    of the package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 19:07:52 +0000

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2ubuntu3) wily; urgency=medium

  * Revert the package rename; the C++ library is not exposed as part of the
    API, it's only used internally and Debian omitted this transition.
  * Drop shlibs for libjacknet added in previous release, this is a private
    library deliberately omitted by the shlibs upstream and there is already
    a lintian override for this.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 16:22:30 +0000

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2ubuntu2) wily; urgency=medium

  * Build using GCC 5.
  * Rename libjack-jackd2-0 to libjack-jackd2-0v5. Addresses: #791080.
  * Add Breaks/Replaces to the old library.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 11:20:40 +0200

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2ubuntu1) wily; urgency=medium

  * Add libjacknet to the shlibs file. Closes: #788973.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 11:16:34 +0200

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 08:04:39 +0000

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-2) unstable; urgency=medium

  * Fix FTBFS with clang (Closes: #757820)
  * Add Turkish translation (Closes: #760066)
  * Pass dpkg-buildflags to waf (Closes: #756174)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 24 Sep 2014 21:48:32 +0200

jackd2 (1.9.10+20140719git3eb0ae6a~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.9.10+20140719git3eb0ae6a~dfsg

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 31 Jul 2014 02:33:24 +0000
