=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  libffado-dev (>= 2.0.0) [linux-any],
  libopus-dev,
  po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://jackaudio.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jackd2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/jackd2.git
@@ -60,10 +60,11 @@
 Conflicts: jackd2 (>> ${binary:Version}),
  jackd2 (<< ${binary:Version}),
  libjack0,
- libjack-0.116
+ libjack-0.116,
+ libjack-jackd2-0v5
 Suggests: jackd2 (= ${binary:Version})
-Provides: libjack-0.116
-Replaces: libjack-0.116
+Provides: libjack-0.116, libjack-jackd2-0v5
+Replaces: libjack-0.116, libjack-jackd2-0v5
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: JACK Audio Connection Kit (libraries)
