=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,9 @@
 # pure garbage in upstream tarball
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += .DS_Store
 
+# sources not in prefered form of modification
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./waf
+
 # Minimum assured version referenced upstream as library API/ABI
 ABI = 0.118.0
 
@@ -41,7 +44,7 @@
 waf-configure-options += $(if $(filter linux,$(DEB_HOST_ARCH_OS)),--alsa --dbus)
 waf-configure-options += $(if $(filter amd64 i386 powerpc,$(DEB_HOST_ARCH)),--firewire)
 
-DEB_MAKE_INVOKE = $(DEB_MAKE_EXTRA_ARGS) ./waf -v --destdir=$(CURDIR)/debian/tmp
+DEB_MAKE_INVOKE = $(DEB_MAKE_EXTRA_ARGS) ./waf-light -v --destdir=$(CURDIR)/debian/tmp
 DEB_MAKE_INSTALL_TARGET = install
 
 # TODO: use distclean and drop related clean target, when (or if)
@@ -71,7 +74,8 @@
 common-configure-arch common-configure-indep:: common-configure-impl
 common-configure-impl:: debian/stamp-waf-configure
 debian/stamp-waf-configure:
-	$(DEB_MAKE_EXTRA_ARGS) ./waf configure $(waf-configure-options)
+	chmod +x ./waf-light
+	$(DEB_MAKE_EXTRA_ARGS) ./waf-light configure $(waf-configure-options)
 	touch $@
 clean::
 	rm -f debian/stamp-waf-configure
